[ 上一頁 ] [ 目錄 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ 下一頁 ]


Debian GNU/Linux 4.0 ("etch"), Mips 的發行情報
第 2 章 - 在 Debian GNU/Linux 4.0 中有什麼新增功能


在這個發行版中新增了對 AMD64 平台的官方支援,也就是支援了由 Intel (EM64T) 及 AMD (AMD64) 所提供 64 位元的處理器。在上一個發行版 Debian GNU/Linux 3.1 ('sarge') 中則僅對此提供了非官方版本。

對於 Motorola 680x0 ('m68k') 平台的官方支援已經停止,因為它無法達到 Debian Release Managers 所設定的標準。而最根本的潛在原因是一些基本工具元件的效能及極為有限的原廠支援。然而,即使它無法列入官方穩定發行版,m68k 平台移植還是會繼續存在且可取得以進行安裝。

以下是 Debian GNU/Linux etch 官方所支援的硬體平台:

您可以在 Debian 硬體架構網頁 中取得更多關於各個平台移植的情況,以及針對移植至您的硬體平台的相關資訊。


2.1 在 Mips 中有什麼新增功能?

已新增了對 SGI 的 IP32 平台的支援。IP32 平台包含了使用 R5000、R5200 或 RM7000 處理器的 SGI O2 機器。可以 frame buffer 或過串列主控台來進行安裝。

已新增了對於 Broadcom 的 SB1A 評估板,使用 BCM1480 四核晶片的 BCM91480B ("BigSur") 在 Kernel 及安裝程式上的支援,且同時支援了這個板子的 little 及 big endian 模式。

已新增了對於 Qemu 機器的支援。Qemu/MIPS 機器模擬成一個使用 MIPS 4Kc CPU 的標準 ISA PC 規格的機器。


2.2 在這次的發行版本中有什麼新變化?

比起之前的 sarge,新的 Debian 發行版再度收集了更多的軟體;在這次的發行版本裡包含了超過 6500 個新套件,總數則超過了 18200 個套件。大部份的軟體都被更新了:超過 10700 個套件(大約佔了 sarge 的套件數量的 68%)。當然囉,因為種種的原因,也有不少的軟體(超過 3500 個,大約佔了 sarge 的套件數量的 23%)在這次的發行版本裡被移除掉了。您會發覺到這些套件的版本已不再更新,並且在套件的管理介面裡它們會被標記為 '廢棄(obsolete)' 套件。

在這個發行版本裡,Debian GNU/Linux 已由 XFree86 轉換為支援了更多的硬體及更佳的自動偵測的 X.Org 7.1 版了。它可以使用 Compiz 這個第一個能夠在被支援的裝置上充份利用硬體 OpenGL 加速的 X Window System 複合式視窗管理程式。

Debian GNU/Linux 再次搭載了眾多的桌面應用軟體及桌面環境。其中,像是包含了桌面環境 GNOME 2.14 [2]、KDE 3.5.5a 及 Xfce 4.4。還有一些能提昇生產力的軟體,包含辨公室套件 OpenOffice.org 2.0.4a 及 KOffice 1.6 和 GNUcash 2.0.5、GNUmeric 1.6.3 及 Abiword 2.4.6。

其它的桌面應用程式也被更新了,包含了更新為 Evolution 2.6.3 及 Gaim 2.0。Mozilla 家族也被更新了,同時其主要程式已更名:iceweasel(2.0.0.2 版)是無商標的 Firefox 網頁瀏覽器,icedove(1.5 版)則為無商標的 Thunderbird 郵件用戶程式。

除此之外,在此發行版中也包含了以下的軟體更新:

官方的 Debian GNU/Linux 發行版包含了 19 至 23 張(視系統架構而定)的程式光碟及數量相當的原始程式碼光碟,同時 DVD 發行版也已經推出。


2.2.1 套件管理

aptitude 是在主控台 (Console) 上的套件管理程式的第一選擇。aptitude 支援了大部份的 apt-get 在命令列上的操作指令,且在處理相依問題上,已証實它的表現優於 apt-get。如果您還在使用 dselect,您應該將套件管理時的官方前端介面轉換為使用 aptitude

在 etch 裡,已在 aptitude 裡實作了更為強大的衝突解決機制,它會在套件間因相依性的改變而產生衝突之時試圖尋找最佳的解決方案。

Secure APT 已於 etch 中現身。藉由它就能夠輕易得支援強力的驗証碼及數位簽章以用來檢驗下載到的套件,讓 Debian GNU/Linux 系統的安全能得到更進一步的保障。這個發行版本中還包含了 apt-key 工具以便能將新的金鑰加入 apt 的金鑰庫中。它預設上只收錄了由 debian-archive-keyring 套件所提供的,當前的 Debian 檔案庫的簽名金鑰。

在預設的設定上,當套件是下載自無法認証的來源時,apt 現在會發出警告。未來的版本將可能會在下載套件前就先強制進行檢驗。非官方的 apt 檔案庫的管理者歡迎您建立您的密鑰並在 Release 檔上簽名,並能尋求安全的方式來發佈他們的公鑰。

請閱讀 apt(8) 以取得更詳盡的資訊:加強 Debian 安全手冊Debian 的套件簽名 一節,以及 Debian Wiki

apt 另一個新增的功能是可以只下載自從您上次更新後的 Packages 差異檔。APT 套件索引檔更新變慢, 第 5.1.4 節 裡有著此功能之更詳盡資訊。


2.2.2 debian-volatile 現已是官方服務

之前在 sarge 發行之時所介紹的 debian-volatile 非官方服務,現已成為官方服務。

這表示它現在已改用 .debian.org 位址[3]。若您現正使用著該服務,請確認您的 /etc/apt/sources.list 是否已正確對應。

debian-volatile 服務可以讓使用者輕易得進行 stable 的套件更新,因為某些套件,像是病毒掃瞄引擎所使用的特徵碼列表,或是垃圾郵件過濾器所使用的樣本資訊,往往很快得就過時了。請到這個檔案庫的 網頁 來取得更多的詳細資訊及鏡像站之列表。


2.3 系統改善

全新安裝的 etch 將會受益於在本發行版中的諸多改變,但這些改變可能無法自動套用至由 sarge 升級上來的系統。這一小節會針對這些相關改變進行簡易介紹。

基本的開發套件的優先等級降低了

有些在以往其優先等級為 標準 的開發用套件,現今的優先等級已降為 非強制性;也就是說,已不會在預設上就會安裝這些套件了。其中包含了標準的 C/C++ 編譯器 gcc 以及其它的軟體(dpkg-devflexmake) 和開發時期的標頭檔 (development headers)(libc6-devlinux-kernel-headers)。

如果您希望在您的系統上安裝這些套件,最簡易的安裝方式就是安裝 build-essential,這樣就會把它們一道安裝進來了。

SELinux 優先權已提昇為『標準』,但預設上不會啟用

為了支援 SELinux 所需的套件的優先權已提昇為 標準。也就是說,在安裝新系統期間預設就會把它們安裝進來。而在現行系統中您可以藉由以下指令來安裝 SELinux:

     # aptitude install selinux-basics

請注意到,在預設上並不會啟動對於 SELinux 的支援。有關設定及啟用 SELinux 的資訊可於 Debian Wiki 上找到。

新預設的服務程式

etch 預設的 inet 超級服務管理程式已由 netkit-inetd 替換為 openbsd-inetd。如果沒有設定任何服務,在預設上它將不會啟動。這個新預設的服務程式將會在升級的過程中被自動安裝進來。

預設的 vi 替代品已變更

在安裝 vi 的替代品時,現今預設是安裝 vim 的精簡版(vim-tiny),而不再是 nvi 了。

ext2/ext3 預設功能的變化

在建立新的 ext2 及 ext3 檔案系統時,預設上會啟用 dir_indexresize_inode 這兩項功能。第一個功能是用來加速擁有很多檔案的目錄之存取速度;第二個功能可以讓您在線上(也就是說,當它被掛載時)直接更改檔案系統的大小。

從 sarge 升級上來的使用者可以考慮手動使用 tune2fs 來設定 dir_index 參數[4]。而 resize_inode 參數則無法直接套用至現有的檔案系統上。可以利用 dumpe2fs -h 來檢視在某個檔案系統上已設定了哪些參數。

etch 的預設編碼已是 UTF-8

新安裝的 etch 其預設編碼將會是 UTF-8。有不少的應用程式也會將使用 UFT-8 做為預設值。

升級至 etch 且希望轉換至 UTF-8 的使用者將必須重新設定其環境變數及區域化資料。系統全域的設定可以利用 dpkg-reconfigure locales 改變:先替您的語系及國家選擇一個 UTF-8 的區域設定,並將其設定為預設值。請注意到,轉換至 UTF-8 也代表了您很可能也必須將現有的檔案由您原本的舊有編碼轉換至 UTF-8。

utf8-migration-tool 套件裡包含了一些有助於轉換的工具。但是這個套件目前只能由 unstable 裡取得,因為它還不到可以進入 etch 的時候。強烈建議您在使用這個工具之前,先備份您的資料及設定。

請注意到,有些應用程式可能尚無法在 UTF-8 環境下正確執行。大多是因為在顯示時出現問題。

Debian Wiki 上有著 sarge 和 etch 之間的差異之更詳盡資訊。


2.4 和 Kernel 相關的重要改變

在各個平台上,Debian GNU/Linux 4.0 搭載的是 kernel 2.6.18 版。這個釋出版應該能 [5] 和 2.4 版的 kernel 大致上相容,但 Debian 已不再提供或支援 2.4 版的 kernel 套件了。

在 kernel 本身及在 Debian 所提供的 krenel 套件裡都已有重大改變。其中某些改變可能會讓升級程序更形複雜,且可能會在升級至 etch 後、重新啟動系統之時帶來麻煩。這一小節會針對其中最重大的改變進行簡易的介紹;潛在的問題及如何進行排除之資訊則包含在之後的章節裡。

如果您正在使用 2.4 的 kernel,您應該仔細參閱 將 Kernel 升級至 2.6, 第 5.2 節


2.4.1 Kernel 套件裡的改變

Kernel 套件已更名

為了避免名稱上的混淆,所有的 Linux Kernel 套件已由 kernel-* 更名為 linux-*。這將會有利於日後能夠在 Debian 裡輕易得加入其它的非 Linux 的 Kernel。

r5k-ip22 類別的 Kernel 已被廢棄

使用 R5000 處理器的 IP22 機器的 Kernel 影像檔現已廢棄。因為 r4k-ip22 影像檔現已支援使用 R4x000 或 R5000 處理器的 IP22 機器。

如果可以,將會替已廢棄套件提供相依於新套件的替代 (dummy) 轉換套件。


2.4.2 用來產生 initrds 的新工具程式

在 Mips 上的 Debian kernel 影像套件並不需要用到 initrd 才能讓系統開機。也就是說,這一章節的資訊可能和您無關,但還是提供給您參考。

由於在 krenel 裡的改變,在 sarge 裡用來產生 initrds 的 initrd-tools 已無用武之地且已被廢棄了。有兩個新的套件被開發出來以取代該套件:initramfs-toolsyaird。這兩個新工具程式其背後的設計理念大異其趣;在 Debian Wiki 上可取得一些概觀及介紹。兩者都會利用 initramfs 這個壓縮過的 cpio 檔案庫來產生 initrd。預設且建議採用的工具程式是 initramfs-tools


2.4.3 動態 /dev 管理及硬體偵測

etch 版的 kernel 已不再對 devfs 提供支援了。

取代 devfs 的是 udev,一個 devfs 在使用者層級的實作。

udev 會掛載在 /dev/ 目錄上,並能針對那些被 Kernel 所支援的裝置進行即時的目錄配置。它也會在 Kernel 模組掛載或卸載的同時,根據 Kernel 所產生的事件自動得新增及移除裝置。比起 devfs 來,udev 的功能更為多樣,且能替其它像是 hal (hardware abstraction layer) 套件所需的服務提供支援。

為了和 kernel 緊密配合,udev 也會進行硬體的偵測及替找到的裝置載入驅動模組。也因此它和 hotplug 是衝突的。在 sarge 裡,discover 也是用來在開機期間加載驅動模組,但它在 etch 裡的新版本已不再提供這個功能了。discover 仍在 X.Org 上被用來偵測在系統上有哪些圖形控制器。


[ 上一頁 ] [ 目錄 ] [ 1 ] [ 2 ] [ 3 ] [ 4 ] [ 5 ] [ 6 ] [ A ] [ 下一頁 ]


Debian GNU/Linux 4.0 ("etch"), Mips 的發行情報

$Id: release-notes.en.sgml,v 1.312 2007-08-16 22:24:38 jseidel Exp $

Josip Rodin, Bob Hilliard, Adam Di Carlo, Anne Bezemer, Rob Bradford (現職), Frans Pop (現職), Andreas Barth (現職), Javier Fernández-Sanguino Peña (現職), Steve Langasek (現職)
debian-doc@lists.debian.org